## apt-cacher 1.5.3~dapper1

=== debian/changelog ===
apt-cacher (1.5.3~dapper1) dapper-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Sun, 15 Oct 2006 11:58:55 +0100

apt-cacher (1.5.3) unstable; urgency=medium

  * special case for pdiff file name generation (closes: #335202). Pdiff
    caching should now (finally) work correctly. Also checks and expiration of
    pdiff files (using Index lists) done in apt-cacher-cleanup.pl
  * apt-cacher-cleanup hardened, locking files to eliminate any possible
    situation with not having the index files ready
  * added instructions to the cleanup error message to remove
    broken/undownloadable files if files from a repository are to be purged
    (closes: #327817)
  * ignoring empty .bz2 files since they are optional and (naturally) coming
    from unsuccessfull downloads (closes: #354533, #354548, #354428)

 -- Eduard Bloch <blade@debian.org>  Wed, 01 Mar 2006 16:23:22 +0100

apt-cacher (1.5.2) unstable; urgency=low

  * Minor bugfix release
  * Improvements of the package description, mentioning approx/apt-proxy
    (closes: #352020)
  * always logging the disk-full messages, if possible, not only in debug mode
  * checking for exit status when reading index files in cleanup, catching
    file corruption cases (closes: #353152)
  * spelling error fixes in the manpage, thanks to A. Costa (closes: 353970)

 -- Eduard Bloch <blade@debian.org>  Wed,  23 Feb 2006 19:39:24 +0100

apt-cacher (1.5.1) unstable; urgency=low

  * make flock depend on open success in cleanup (closes: #351938)
  * made download code handle write errors better (or even just correct), also
    added cleanup code for potential leftovers to apt-cacher-cleanup.pl
  * documented the offline_mode switch in the manpage
  * documented the proxy mode installation in the manpage

 -- Eduard Bloch <blade@debian.org>  Wed, 08 Feb 2006 19:20:31 +0100

apt-cacher (1.5) unstable; urgency=low

  * made request reader more robust
  * added more regexps to handle Fedora's APT clone's index files correctly
  * added a simple spec file from Srimal Jayawardena to contrib directory

 -- Eduard Bloch <blade@debian.org>  Fri, 27 Jan 2006 15:52:18 +0100

apt-cacher (1.4.3) unstable; urgency=low

  * checksums are not checked on index files any longer, they can change
  * tolerates full paths now (proxy kind), allows usage of apt-cacher as pure
    HTTP proxy without changing sources.list on all clients (closes: #349588)
  * experimental option offline_mode to simply avoid outgoing connections and
    deliver cached data only
  * added a HUP handler to reload the config
  * fixed a minor bug in the header parser, found with clients using LWP agent
    (closing connection too early). Now cascading of apt-cacher servers
    in daemon mode is possible.

 -- Eduard Bloch <blade@debian.org>  Fri, 27 Jan 2006 01:28:51 +0100

apt-cacher (1.4.2) unstable; urgency=low

  * reopening log files when a write fails
  * getgrnam/getpwnam considers undefined values now, thanks to Richard Antony
    Burton (closes: #348178)
  * additional data size checks when returning cached versions to detect
    possible file system corruption.
  * with checksum checking enabled, the checksum of downloaded content is
    stored additionaly to be available even if is not extracted from Packages
    files first. Does not cover initial download errors but local corruption.
  * code refactoring, ensured ownership change when running cleanup
  * it's called libdbd-sqlite3-perl! (fixed name of the package in Suggests)

 -- Eduard Bloch <blade@debian.org>  Sun, 22 Jan 2006 02:21:31 +0100

## apt-cacher 1.5.3

=== debian/control ===
Source: apt-cacher
Section: net
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Uploaders: Eduard Bloch <blade@debian.org>, Jonathan Oxer <jon@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), perl (>=5.6.0-16)
Standards-Version: 3.6.2.1

Package: apt-cacher
Architecture: all
Depends: ${perl:Depends}, bzip2, libwww-perl
Suggests: libdbd-sqlite3-perl
Description: caching proxy system for Debian package and source files
 Apt-cacher performs caching of .deb and source packages which have been
 downloaded by local users. It is most useful for local area networks with slow
 internet uplink.
 .
 When a package is requested, the cache checks whether it already has the
 expected version, in which case it sends the package to the user immediately.
 If not, it downloads the package while streaming it to the user at the same
 time. A local copy is then kept for use by other users.
 .
 Apt-cacher has been optimized for best utilization of network bandwith and
 efficiency even on slow low-memory servers. Multiple ways of installation are
 possible: as a stand-alone HTTP server, as a daemon executed by inetd or as a
 CGI program. The client machines are configured by changing APT's proxy
 configuration or modification of access URLs in sources.list.
 .
 The package includes utilities to clean the cache (removing obsolete package
 files), to generate usage reports and import existing package files.
 Experimental features include a simple package checksum verification framework
 and pre-fetching of new packages (upgrade candidates).
 .
 Apt-cacher can be used as a replacement for apt-proxy, with no need to modify
 clients' /etc/apt/sources.list files (and even reusing its config and cached
 data), or as an alternative to approx.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir

	touch build-arch-stamp

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Add here command to compile/build the arch indep package.
	# It's ok not to do anything here, if you don't need to build
	#  anything for this package.
	#/usr/bin/docbook-to-man debian/apt-cacher.sgml > apt-cacher.1

	touch build-indep-stamp

build: build-arch build-indep
#	perl Makefile.PL INSTALLDIRS=vendor
#	$(MAKE) OPTIMIZE="-O2 -G -Wall"
	
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/sbin

	install -m644 apt-cacher.conf debian/apt-cacher/etc/apt-cacher/apt-cacher.conf
	install -m644 checksumming.conf debian/apt-cacher/etc/apt-cacher/checksumming.conf
	install -m644 apache.conf debian/apt-cacher/etc/apt-cacher/apache.conf
	install -m755 apt-cacher.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher.pl
	install -m755 apt-cacher2 debian/apt-cacher/usr/share/apt-cacher/apt-cacher
	install -m755 apt-proxy-to-apt-cacher debian/apt-cacher/usr/share/apt-cacher/
	ln -sf   ../share/apt-cacher/apt-cacher debian/apt-cacher/usr/sbin/apt-cacher 
	install -m755 apt-cacher-report.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-report.pl
	install -m755 apt-cacher-cleanup.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-cleanup.pl
	install -m755 apt-cacher-precache.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-precache.pl
	install -m755 apt-cacher-format-transition.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-format-transition.pl
	install -m755 apt-cacher-import.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-import.pl
	install -m755 apt-cacher-lib.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-lib.pl
	install -m755 apt-cacher-lib-cs.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher-lib-cs.pl
	install -m755 apt-cacher.cron.daily debian/apt-cacher/etc/cron.daily/apt-cacher
	install -m755 install.pl debian/apt-cacher/usr/share/apt-cacher/install.pl
	install -m755 remove.pl debian/apt-cacher/usr/share/apt-cacher/remove.pl
	install -m755 upgrade.pl debian/apt-cacher/usr/share/apt-cacher/upgrade.pl
	perl -pe 's/^\$$version=.*/\$$version="'$(shell dpkg-parsechangelog  | grep ^Version | cut -f2 -d\  )'";/' -i $(CURDIR)/debian/apt-cacher/usr/share/apt-cacher/*.pl

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installmenu -i
	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
	dh_installinit -i
	dh_installcron -i
	dh_installman -i debian/apt-cacher.1
	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## apt-cacher 1.5.5

=== deprecated/Makefile ===
# This Makefile is for the apt-cacher extension to perl.
#
# It was generated automatically by MakeMaker version
# 6.03 (Revision: 1.63) from the contents of
# Makefile.PL. Don't edit this file, edit Makefile.PL instead.
#
#       ANY CHANGES MADE HERE WILL BE LOST!
#
#   MakeMaker ARGV: (q[INSTALLDIRS=vendor])
#
#   MakeMaker Parameters:

#     NAME => q[apt-cacher]
#     VERSION => q[0.5]

# --- MakeMaker post_initialize section:


# --- MakeMaker const_config section:

# These definitions are from config.sh (via /usr/lib/perl/5.8.0/Config.pm)

# They may have been overridden via Makefile.PL or on the command line
AR = ar
CC = cc
CCCDLFLAGS = -fPIC
CCDLFLAGS = -rdynamic
DLEXT = so
DLSRC = dl_dlopen.xs
LD = cc
LDDLFLAGS = -shared -L/usr/local/lib
LDFLAGS =  -L/usr/local/lib
LIBC = /lib/libc-2.3.1.so
LIB_EXT = .a
OBJ_EXT = .o
OSNAME = linux
OSVERS = 2.4.19
RANLIB = :
SO = so
EXE_EXT = 
FULL_AR = /usr/bin/ar


# --- MakeMaker constants section:
AR_STATIC_ARGS = cr
NAME = apt-cacher
DISTNAME = apt-cacher
NAME_SYM = apt_cacher
VERSION = 0.5
VERSION_SYM = 0_5
XS_VERSION = 0.5
INST_ARCHLIB = blib/arch
INST_SCRIPT = blib/script
INST_BIN = blib/bin
INST_LIB = blib/lib
INSTALLDIRS = vendor
PREFIX = /usr
SITEPREFIX = $(PREFIX)/local
VENDORPREFIX = $(PREFIX)
INSTALLPRIVLIB = $(PREFIX)/share/perl/5.8.0
INSTALLSITELIB = $(SITEPREFIX)/share/perl/5.8.0
INSTALLVENDORLIB = $(VENDORPREFIX)/share/perl5
INSTALLARCHLIB = $(PREFIX)/lib/perl/5.8.0
INSTALLSITEARCH = $(SITEPREFIX)/lib/perl/5.8.0
INSTALLVENDORARCH = $(VENDORPREFIX)/lib/perl5
INSTALLBIN = $(PREFIX)/bin
INSTALLSITEBIN = $(SITEPREFIX)/bin
INSTALLVENDORBIN = $(VENDORPREFIX)/bin
INSTALLSCRIPT = $(PREFIX)/bin
PERL_LIB = /usr/share/perl/5.8.0
PERL_ARCHLIB = /usr/lib/perl/5.8.0
SITELIBEXP = /usr/local/share/perl/5.8.0
SITEARCHEXP = /usr/local/lib/perl/5.8.0
LIBPERL_A = libperl.a
FIRST_MAKEFILE = Makefile
MAKE_APERL_FILE = Makefile.aperl
PERLMAINCC = $(CC)
PERL_INC = /usr/lib/perl/5.8.0/CORE
PERL = /usr/bin/perl
FULLPERL = /usr/bin/perl
PERLRUN = $(PERL)
FULLPERLRUN = $(FULLPERL)
PERLRUNINST = $(PERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULLPERLRUNINST = $(FULLPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
ABSPERL = $(PERL)
ABSPERLRUN = $(ABSPERL)
ABSPERLRUNINST = $(ABSPERLRUN) "-I$(INST_ARCHLIB)" "-I$(INST_LIB)"
FULL_AR = /usr/bin/ar
PERL_CORE = 0
NOOP = $(SHELL) -c true
NOECHO = @

VERSION_MACRO = VERSION
DEFINE_VERSION = -D$(VERSION_MACRO)=\"$(VERSION)\"
XS_VERSION_MACRO = XS_VERSION
XS_DEFINE_VERSION = -D$(XS_VERSION_MACRO)=\"$(XS_VERSION)\"
PERL_MALLOC_DEF = -DPERL_EXTMALLOC_DEF -Dmalloc=Perl_malloc -Dfree=Perl_mfree -Drealloc=Perl_realloc -Dcalloc=Perl_calloc

MAKEMAKER = /usr/share/perl/5.8.0/ExtUtils/MakeMaker.pm
MM_VERSION = 6.03

# FULLEXT = Pathname for extension directory (eg Foo/Bar/Oracle).
# BASEEXT = Basename part of FULLEXT. May be just equal FULLEXT. (eg Oracle)
# PARENT_NAME = NAME without BASEEXT and no trailing :: (eg Foo::Bar)
# DLBASE  = Basename part of dynamic library. May be just equal BASEEXT.
FULLEXT = apt-cacher
BASEEXT = cacher
PARENT_NAME = 
DLBASE = $(BASEEXT)
OBJECT = 
LDFROM = $(OBJECT)
LINKTYPE = dynamic

# Handy lists of source code files:
XS_FILES= 
C_FILES = 
O_FILES = 
H_FILES = 
MAN1PODS = 
MAN3PODS = apt-cacher-orig.pl \
	apt-cacher.pl
INST_MAN1DIR = blib/man1
MAN1EXT = 1p
INSTALLMAN1DIR = $(PREFIX)/share/man/man1
INSTALLSITEMAN1DIR = $(SITEPREFIX)/man/man1
INSTALLVENDORMAN1DIR = $(VENDORPREFIX)/share/man/man1
INST_MAN3DIR = blib/man3
MAN3EXT = 3pm
INSTALLMAN3DIR = $(PREFIX)/share/man/man3
INSTALLSITEMAN3DIR = $(SITEPREFIX)/man/man3
INSTALLVENDORMAN3DIR = $(VENDORPREFIX)/share/man/man3
PERM_RW = 644
PERM_RWX = 755

# work around a famous dec-osf make(1) feature(?):
makemakerdflt: all

.SUFFIXES: .xs .c .C .cpp .i .s .cxx .cc $(OBJ_EXT)

# Nick wanted to get rid of .PRECIOUS. I don't remember why. I seem to recall, that
# some make implementations will delete the Makefile when we rebuild it. Because
# we call false(1) when we rebuild it. So make(1) is not completely wrong when it
# does so. Our milage may vary.
# .PRECIOUS: Makefile    # seems to be not necessary anymore

.PHONY: all config static dynamic test linkext manifest

# Where is the Config information that we are using/depend on
CONFIGDEP = $(PERL_ARCHLIB)/Config.pm $(PERL_INC)/config.h

# Where to put things:
INST_LIBDIR      = $(INST_LIB)
INST_ARCHLIBDIR  = $(INST_ARCHLIB)

INST_AUTODIR     = $(INST_LIB)/auto/$(FULLEXT)
INST_ARCHAUTODIR = $(INST_ARCHLIB)/auto/$(FULLEXT)

INST_STATIC  =
INST_DYNAMIC =
INST_BOOT    =

EXPORT_LIST = 

PERL_ARCHIVE = 

PERL_ARCHIVE_AFTER = 

TO_INST_PM = apt-cacher-cleanup.pl \
	apt-cacher-lib.pl \
	apt-cacher-orig.pl \
	apt-cacher-report.pl \
	apt-cacher.pl \
	install.pl \
	install2.pl \
	remove.pl \
	testremove.pl \
	upgrade.pl

PM_TO_BLIB = apt-cacher-cleanup.pl \
	blib/lib/apt-cacher-cleanup.pl \
	apt-cacher-report.pl \
	blib/lib/apt-cacher-report.pl \
	install2.pl \
	blib/lib/install2.pl \
	apt-cacher-orig.pl \
	blib/lib/apt-cacher-orig.pl \
	remove.pl \
	blib/lib/remove.pl \
	apt-cacher-lib.pl \
	blib/lib/apt-cacher-lib.pl \
	upgrade.pl \
	blib/lib/upgrade.pl \
	install.pl \
	blib/lib/install.pl \
	apt-cacher.pl \
	blib/lib/apt-cacher.pl \
	testremove.pl \
	blib/lib/testremove.pl


# --- MakeMaker tool_autosplit section:
# Usage: $(AUTOSPLITFILE) FileToSplit AutoDirToSplitInto
AUTOSPLITFILE = $(PERLRUN) -e 'use AutoSplit;  autosplit($$ARGV[0], $$ARGV[1], 0, 1, 1) ;'



# --- MakeMaker tool_xsubpp section:


# --- MakeMaker tools_other section:

SHELL = /bin/sh
CHMOD = chmod
CP = cp
LD = cc
MV = mv
NOOP = $(SHELL) -c true
RM_F = rm -f
RM_RF = rm -rf
TEST_F = test -f
TOUCH = touch
UMASK_NULL = umask 0
DEV_NULL = > /dev/null 2>&1

# The following is a portable way to say mkdir -p
# To see which directories are created, change the if 0 to if 1
MKPATH = $(PERLRUN) "-MExtUtils::Command" -e mkpath

# This helps us to minimize the effect of the .exists files A yet
# better solution would be to have a stable file in the perl
# distribution with a timestamp of zero. But this solution doesn't
# need any changes to the core distribution and works with older perls
EQUALIZE_TIMESTAMP = $(PERLRUN) "-MExtUtils::Command" -e eqtime

# Here we warn users that an old packlist file was found somewhere,
# and that they should call some uninstall routine
WARN_IF_OLD_PACKLIST = $(PERL) -we 'exit unless -f $$ARGV[0];' \
-e 'print "WARNING: I have found an old package in\n";' \
-e 'print "\t$$ARGV[0].\n";' \
-e 'print "Please make sure the two installations are not conflicting\n";'

UNINST=0
VERBINST=0

MOD_INSTALL = $(PERL) "-I$(INST_LIB)" "-I$(PERL_LIB)" "-MExtUtils::Install" \
-e "install({@ARGV},'$(VERBINST)',0,'$(UNINST)');"

DOC_INSTALL = $(PERL) -e '$$\="\n\n";' \
-e 'print "=head2 ", scalar(localtime), ": C<", shift, ">", " L<", $$arg=shift, "|", $$arg, ">";' \
-e 'print "=over 4";' \
-e 'while (defined($$key = shift) and defined($$val = shift)){print "=item *";print "C<$$key: $$val>";}' \
-e 'print "=back";'

UNINSTALL =   $(PERLRUN) "-MExtUtils::Install" \
-e 'uninstall($$ARGV[0],1,1); print "\nUninstall is deprecated. Please check the";' \
-e 'print " packlist above carefully.\n  There may be errors. Remove the";' \
-e 'print " appropriate files manually.\n  Sorry for the inconveniences.\n"'


# --- MakeMaker dist section:
ZIPFLAGS = -r
TO_UNIX = @$(NOOP)
TAR = tar
POSTOP = @$(NOOP)
ZIP = zip
DIST_DEFAULT = tardist
CI = ci -u
SHAR = shar
COMPRESS = gzip --best
DIST_CP = best
PREOP = @$(NOOP)
TARFLAGS = cvf
DISTVNAME = $(DISTNAME)-$(VERSION)
SUFFIX = .gz
RCS_LABEL = rcs -Nv$(VERSION_SYM): -q


# --- MakeMaker macro section:


# --- MakeMaker depend section:


# --- MakeMaker cflags section:


# --- MakeMaker const_loadlibs section:


# --- MakeMaker const_cccmd section:


# --- MakeMaker post_constants section:


# --- MakeMaker pasthru section:

PASTHRU = LIB="$(LIB)"\
	LIBPERL_A="$(LIBPERL_A)"\
	LINKTYPE="$(LINKTYPE)"\
	PREFIX="$(PREFIX)"\
	OPTIMIZE="$(OPTIMIZE)"\
	PASTHRU_DEFINE="$(PASTHRU_DEFINE)"\
	PASTHRU_INC="$(PASTHRU_INC)"


# --- MakeMaker c_o section:


# --- MakeMaker xs_c section:


# --- MakeMaker xs_o section:


# --- MakeMaker top_targets section:

all :: pure_all manifypods
	@$(NOOP)

pure_all :: config pm_to_blib subdirs linkext
	@$(NOOP)

subdirs :: $(MYEXTLIB)
	@$(NOOP)

config :: Makefile $(INST_LIBDIR)/.exists
	@$(NOOP)

config :: $(INST_ARCHAUTODIR)/.exists
	@$(NOOP)

config :: $(INST_AUTODIR)/.exists
	@$(NOOP)

$(INST_AUTODIR)/.exists :: /usr/lib/perl/5.8.0/CORE/perl.h
	@$(MKPATH) $(INST_AUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8.0/CORE/perl.h $(INST_AUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_AUTODIR)

$(INST_LIBDIR)/.exists :: /usr/lib/perl/5.8.0/CORE/perl.h
	@$(MKPATH) $(INST_LIBDIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8.0/CORE/perl.h $(INST_LIBDIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_LIBDIR)

$(INST_ARCHAUTODIR)/.exists :: /usr/lib/perl/5.8.0/CORE/perl.h
	@$(MKPATH) $(INST_ARCHAUTODIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8.0/CORE/perl.h $(INST_ARCHAUTODIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_ARCHAUTODIR)

config :: $(INST_MAN3DIR)/.exists
	@$(NOOP)


$(INST_MAN3DIR)/.exists :: /usr/lib/perl/5.8.0/CORE/perl.h
	@$(MKPATH) $(INST_MAN3DIR)
	@$(EQUALIZE_TIMESTAMP) /usr/lib/perl/5.8.0/CORE/perl.h $(INST_MAN3DIR)/.exists

	-@$(CHMOD) $(PERM_RWX) $(INST_MAN3DIR)

help:
	perldoc ExtUtils::MakeMaker


# --- MakeMaker linkext section:

linkext :: $(LINKTYPE)
	@$(NOOP)


# --- MakeMaker dlsyms section:


# --- MakeMaker dynamic section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make dynamic"
#dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT) $(INST_PM)
dynamic :: Makefile $(INST_DYNAMIC) $(INST_BOOT)
	@$(NOOP)


# --- MakeMaker dynamic_bs section:

BOOTSTRAP =


# --- MakeMaker dynamic_lib section:


# --- MakeMaker static section:

## $(INST_PM) has been moved to the all: target.
## It remains here for awhile to allow for old usage: "make static"
#static :: Makefile $(INST_STATIC) $(INST_PM)
static :: Makefile $(INST_STATIC)
	@$(NOOP)


# --- MakeMaker static_lib section:


# --- MakeMaker manifypods section:
POD2MAN_EXE = /usr/bin/pod2man
POD2MAN = $(PERL) -we '%m=@ARGV;for (keys %m){' \
-e 'next if -e $$m{$$_} && -M $$m{$$_} < -M $$_ && -M $$m{$$_} < -M "Makefile";' \
-e 'print "Manifying $$m{$$_}\n";' \
-e 'system(q[$(PERLRUN) $(POD2MAN_EXE) ].qq[$$_>$$m{$$_}])==0 or warn "Couldn\047t install $$m{$$_}\n";' \
-e 'chmod(oct($(PERM_RW)), $$m{$$_}) or warn "chmod $(PERM_RW) $$m{$$_}: $$!\n";}'

manifypods : pure_all apt-cacher.pl \
	apt-cacher-orig.pl
	@$(POD2MAN) \
	apt-cacher.pl \
	$(INST_MAN3DIR)/apt-cacher.$(MAN3EXT) \
	apt-cacher-orig.pl \
	$(INST_MAN3DIR)/apt-cacher-orig.$(MAN3EXT)

# --- MakeMaker processPL section:


# --- MakeMaker installbin section:


# --- MakeMaker subdirs section:

# none

# --- MakeMaker clean section:

# Delete temporary files but do not touch installed files. We don't delete
# the Makefile here so a later make realclean still has a makefile to use.

clean ::
	-rm -rf ./blib $(MAKE_APERL_FILE) $(INST_ARCHAUTODIR)/extralibs.all perlmain.c tmon.out mon.out so_locations pm_to_blib *$(OBJ_EXT) *$(LIB_EXT) perl.exe perl perl$(EXE_EXT) $(BOOTSTRAP) $(BASEEXT).bso $(BASEEXT).def lib$(BASEEXT).def $(BASEEXT).exp $(BASEEXT).x core core.*perl.*.? *perl.core
	-mv Makefile Makefile.old $(DEV_NULL)


# --- MakeMaker realclean section:

# Delete temporary files (via clean) and also delete installed files
realclean purge ::  clean
	rm -rf $(INST_AUTODIR) $(INST_ARCHAUTODIR)
	rm -rf $(DISTVNAME)
	rm -f  blib/lib/apt-cacher-cleanup.pl blib/lib/apt-cacher-report.pl
	rm -f blib/lib/install2.pl blib/lib/apt-cacher-orig.pl blib/lib/remove.pl
	rm -f blib/lib/apt-cacher-lib.pl blib/lib/upgrade.pl blib/lib/install.pl
	rm -f blib/lib/apt-cacher.pl blib/lib/testremove.pl
	rm -rf Makefile Makefile.old


# --- MakeMaker dist_basics section:
distclean :: realclean distcheck
	$(NOECHO) $(NOOP)

distcheck :

=== debian/changelog ===
apt-cacher (1.5.5) unstable; urgency=low

  * Make apt-cacher-report.pl more tolerant of logfile corruption. Thanks
    to Olaf Scholz for patch (closes: #366348, #444677)
  * Don't change /etc/apache/httpd.conf if no apt-cacher config found.
  * Move shared install/remove code to apt-cacher-lib.
  * Add link to /usr/lib/cgi-bin for non-apache httpd servers.
  * README.Debian: suggest workaround to cache for both Ubuntu and Debian
    distributions (closes: #354925, #366624, #415398)
  * Check for Host header in HTTP/1.1 request.
  * Respect no-cache directives in request and pass through to upstream.
  * apt-cacher-format-transition: Remove accept \r\n in headers on import
    (closes: #355157). Add informational messages.
  * Keep command-line options on config reload (SIGHUP).
  * Differentiate between absolute URIs. Can be HTTP 1.1 proxy or HTTP 1.3. See
    rfc2616. (closes: 387449, #413391)
  * Handle SIGUSR1 to toggle debug ouput.
  * Fix man page CGI mode prefix.
  * Control checksumming with config option checksum
  * Lists in config file are delimited by ',' or ';'
  * Check installation directories and logfiles on startup. Recreate if
    necessary (closes: #370453)
  * No default http_proxy and http_proxy_auth.
  * Support vmlinuz and initrd.gz files for Debian-live.
  * Significant rewrite of manpage. (closes: #442800, #364361)
  * Restart after rotating logfiles (closes: #414156, #390585)
  * apt-cache-report: run as user:group from config file (closes: #383480)
  * Actually support rate limit suffixes as specified in man page (closes: #410920)  
  * Return Connection: close even if keep-alive requested for 404 error
    (closes: #322299, #384210)
  * Rationalise example usage in usage_error. Use Sys::Hostname to build
    the example. Configfile example_sources_line is no longer
    used. (closes: #365507)
  * Dynamically generate configuration info in usage_error.
  * Check size of cached files. Warn and refresh is mismatch 
    (closes: #373280, #412743, #366648)
  * Add support for index.db-*.gz files as used by apt-listbugs. (closes: #364904)
  * Decode ascii hex codes in URL. (closes: #394541)
  * Add support for Translation-*.bz2 files.
  * Rationalise locking in apt-cacher-cleanup. Based on patch from Adrian
    Bridgett (closes: 428131)
  * apt-cacher-import: check return of rename and die with helpful error
    message if it fails. (closes: #355160)

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 03 Oct 2007 08:59:54 +0100
  

apt-cacher (1.5.4) unstable; urgency=low

  * New maintainer (Closes: #403584)
  * apt-cacher: Correctly set version number when building package
  * apt-cacher-cleanup: add simulate option to show what would be done and
    offline mode to control refresh of index files
  * Add offline_mode to config file.
  * apt-cacher-cleanup: fix option handling
  * move setup_ownership() to apt-cacher-lib
  * apt-cacher-cleanup: run as user:group from config file
  * Bump standards version
  * Fix manpage warning: 52: a special character is not allowed in a name
    and missing line when rendered (closes: 374422)
  * Add LSB header to init. (closes: #384721)
  * apt-cacher-cleanup: provide warning if linking of file fails.
  * apt-cacher-cleanup: don't continue if there are empty index files in order to
    prevent unexpected deletion of cache contents (closes: #356292).  
  * Daemonize correctly (closes: #370446).
  * Fix typos and spelling (closes: #358988, #362730, #399157, #396677)
  * Build and lintian warning fixes:
	 Move debhelper compatibility to debian/compat.
	 Remove make distclean from debian/rules.
	 Put debhelper in Build-Depends not Build-Depends-Indep
	 Delete *-stamp on clean.
  * Don't cache index files that generate 404 error. Thanks to Dietrich
    Clauss <dc2@clauss.dyndns.org> (closes: #385961)
  * apt-cacher-cleanup: just delete empty .gz files (closes: #403453).

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 06 Sep 2007 12:13:23 +0100

=== debian/control ===
Source: apt-cacher
Section: net
Priority: optional
Maintainer: Mark Hindley <mark@hindley.org.uk>
Uploaders: Eduard Bloch <blade@debian.org>, Jonathan Oxer <jon@debian.org>
Build-Depends: debhelper (>> 4.0.0)
Build-Depends-Indep: perl (>=5.6.0-16)
Standards-Version: 3.7.2

Package: apt-cacher
Architecture: all
Depends: ${perl:Depends}, bzip2, libwww-perl
Suggests: libdbd-sqlite3-perl
Description: Caching proxy for Debian package and source files
 Apt-cacher performs caching of .deb and source packages which have been
 downloaded by local users. It is most useful for local area networks with slow
 internet uplink.
 .
 When a package is requested, the cache checks whether it already has the
 requested version, in which case it sends the package to the user immediately.
 If not, it downloads the package while streaming it to the user at the same
 time. A local copy is then kept for use by other users.
 .
 Apt-cacher has been optimized for best utilization of network bandwidth and
 efficiency even on slow low-memory servers. Multiple ways of installation are
 possible: as a stand-alone HTTP proxy, as a daemon executed by inetd or as a
 CGI program. Client machines are configured by changing APT's proxy
 configuration or modification of access URLs in sources.list.
 .
 The package includes utilities to clean the cache (removing obsolete package
 files), generate usage reports and import existing package files.  Experimental
 features include a simple package checksum verification framework and
 pre-fetching of new packages (upgrade candidates).
 .
 Apt-cacher can be used as a replacement for apt-proxy, with no need to modify
 client's /etc/apt/sources.list files (and even reusing its config and cached
 data), or as an alternative to approx.

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,6 @@
 
 # Uncomment this to turn on verbose mode. 
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=4
-
-
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
@@ -37,25 +32,23 @@
 build-indep-stamp:
 	dh_testdir
 
-	# Add here command to compile/build the arch indep package.
-	# It's ok not to do anything here, if you don't need to build
-	#  anything for this package.
-	#/usr/bin/docbook-to-man debian/apt-cacher.sgml > apt-cacher.1
+# Add here command to compile/build the arch indep package.
+# It's ok not to do anything here, if you don't need to build
+#  anything for this package.
+#/usr/bin/docbook-to-man debian/apt-cacher.sgml > apt-cacher.1
 
 	touch build-indep-stamp
 
 build: build-arch build-indep
 #	perl Makefile.PL INSTALLDIRS=vendor
 #	$(MAKE) OPTIMIZE="-O2 -G -Wall"
-	
+
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-arch-stamp build-indep-stamp configure-stamp
 
-	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
-
+# Add here commands to clean up after the build process.
 	dh_clean
 
 install: DH_OPTIONS=
@@ -66,7 +59,6 @@
 	dh_installdirs usr/sbin
 
 	install -m644 apt-cacher.conf debian/apt-cacher/etc/apt-cacher/apt-cacher.conf
-	install -m644 checksumming.conf debian/apt-cacher/etc/apt-cacher/checksumming.conf
 	install -m644 apache.conf debian/apt-cacher/etc/apt-cacher/apache.conf
 	install -m755 apt-cacher.pl debian/apt-cacher/usr/share/apt-cacher/apt-cacher.pl
 	install -m755 apt-cacher2 debian/apt-cacher/usr/share/apt-cacher/apt-cacher
@@ -83,7 +75,7 @@
 	install -m755 install.pl debian/apt-cacher/usr/share/apt-cacher/install.pl
 	install -m755 remove.pl debian/apt-cacher/usr/share/apt-cacher/remove.pl
 	install -m755 upgrade.pl debian/apt-cacher/usr/share/apt-cacher/upgrade.pl
-	perl -pe 's/^\$$version=.*/\$$version="'$(shell dpkg-parsechangelog  | grep ^Version | cut -f2 -d\  )'";/' -i $(CURDIR)/debian/apt-cacher/usr/share/apt-cacher/*.pl
+	perl -pe 's/^my \$$version=.*/my \$$version="'$(shell dpkg-parsechangelog  | grep ^Version | cut -f2 -d\  )'";/' -i $(CURDIR)/debian/apt-cacher/usr/share/apt-cacher/*
 
 # Build architecture-independent files here.
 # Pass -i to all debhelper commands in this target to reduce clutter.
@@ -104,7 +96,7 @@
 	dh_installinfo -i
 #	dh_undocumented -i
 	dh_installchangelogs  -i
-	dh_link -i
+	dh_link -i /usr/share/apt-cacher/apt-cacher.pl /usr/lib/cgi-bin/apt-cacher
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i

## apt-cacher 1.5.5-0ubuntu0.1

=== debian/changelog ===
apt-cacher (1.5.5-0ubuntu0.1) hardy-proposed; urgency=low

  * remove errors when running apt-cacher-cleanup.pl. Patch taken
    from Debian BTS (see bug #478122) (LP: #223024)

 -- Lionel Porcheron <lionel.porcheron@ubuntu.com>  Thu, 29 Jan 2009 09:44:17 +0100

## apt-cacher 1.6.4

=== debian/changelog ===
apt-cacher (1.6.4) unstable; urgency=low

  * Add interface option (closes: #483666)
  * Fix locking for checksum database if failed thread detected.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 05 Jun 2008 08:41:09 +0100

apt-cacher (1.6.3) unstable; urgency=low

  * Don't send a response when CGI connection is closed (closes: #448092)
  * Add option to specify configfile for apt-cacher-report.pl (closes: #480004)
  * Support jigdo (closes: #482422)

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 25 May 2008 11:59:03 +0100

apt-cacher (1.6.2) unstable; urgency=low

  * Handle SIGPIPE.
  * Don't use ETag header to check freshness by default -- some
    servers are not providing reliable ETags. You can still enable the
    code by setting configitem use_etags to non-nil.
  * Ensure correct file is returned if cached file is being
    refreshed. (closes: #472669, #473001)  
  * Update README and conffile to reflect usage of libberkeleydb-perl.
  * Ensure checksumming database is correctly initialised for every
    process (closes: #460020)
  * Ensure error messages do not go to STDOUT (closes: #448092)
  * Correctly drop all root privileges (closes: #470092).
  * apt-cacher-cleanup.pl: if clean_cache is 0, print warning on
    STDERR. Redirect to /dev/null in cron (closes: #462230)
  * Add dependency on libdigest-sha1-perl and libwww-perl (for HTTP::Date)
    (closes: #461899, #462689)
  * If path_map contains multiple servers, remove HTTP error from the
    first before trying the next. Thanks to Anderson Lizardo for
    patch. (closes: #462948)
  * Remove pointless abs_path, which sometimes fails. (closes: #468771)
  * Depend on libwww-curl-perl 3.12 at least. (closes: #462523)

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 30 Mar 2008 12:57:12 +0100

apt-cacher (1.6.1) unstable; urgency=medium

  * Security fix -- only use red to apply pdiffs (hence urgency)
  * Correct typo in libberkeleydb-perl rependency (closes: #459842)
  * Fix handling of If-Modified-Since request
  * Implement timeout for connecting to checksum database to prevent hangs
  * Bump Standards Version

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 10 Jan 2008 09:06:44 +0000

apt-cacher (1.6.0) unstable; urgency=low

  * Major new release.
  * IPv6 support (using libcurl and optional libio-socket-inet6-perl)
    (closes: #447993, #451700).  
  * Experimental support for patching cached Packages and Sources with
    pdiffs. (closes: #427695)
  * Checksumming rewritten and now uses Berkeley DB for speed and reduced
    resource utilisation.  
  * Checksum database manipulation with apt-cacher-cleanup.
  * Daemon mode can now listen on multiple addresses.
  * ETag support.
  * Respect Cache-Control headers (closes: #369433).
  * Don't assume host is not reachable if use_proxy set. Thanks to Ralph
    Rößner for patch. (closes: #447033)
  * apt-cacher-cleanup: verify SHA1 of debs and remove if mismatch.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 05 Dec 2007 10:45:57 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders: Eduard Bloch <blade@debian.org>, Jonathan Oxer <jon@debian.org>
 Build-Depends: debhelper (>> 4.0.0)
 Build-Depends-Indep: perl (>=5.6.0-16)
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: apt-cacher
 Architecture: all
-Depends: ${perl:Depends}, bzip2, libwww-perl
-Suggests: libdbd-sqlite3-perl
+Depends: ${perl:Depends}, bzip2, libwww-curl-perl (>=3.12), libwww-perl, libdigest-sha1-perl, ed
+Recommends: libberkeleydb-perl
+Suggests: libio-socket-inet6-perl
 Description: Caching proxy for Debian package and source files
  Apt-cacher performs caching of .deb and source packages which have been
  downloaded by local users. It is most useful for local area networks with slow
@@ -29,8 +30,8 @@
  .
  The package includes utilities to clean the cache (removing obsolete package
  files), generate usage reports and import existing package files.  Experimental
- features include a simple package checksum verification framework and
- pre-fetching of new packages (upgrade candidates).
+ features include a simple package checksum verification framework, optional
+ IPv6 support and pre-fetching of new packages (upgrade candidates).
  .
  Apt-cacher can be used as a replacement for apt-proxy, with no need to modify
  client's /etc/apt/sources.list files (and even reusing its config and cached

## apt-cacher 1.6.4ubuntu1

=== debian/changelog ===
apt-cacher (1.6.4ubuntu1) intrepid; urgency=low

  * Allow e.g. intrepid.tar.gz.gpg files to be cached, as they are used by
    do-release-upgrade. Thanks to "shemgp" for the fix. (LP: #156070)

 -- James Westby <james.westby@canonical.com>  Fri, 26 Sep 2008 20:30:58 +0100

## apt-cacher 1.6.4ubuntu2

=== debian/changelog ===
apt-cacher (1.6.4ubuntu2) intrepid-proposed; urgency=low

  * Resolve POSIX syntax error in apt-cacher-lib.pl for Ubuntu distribution
    upgrades.  Thanks Mary Gardiner! (LP: #291606)
  * Add regular expression to apt-cacher-lib.pl to allow meta-release files
    to be cached thereby allowing update-manager to see new releases.  Ubuntu
    specific, see Debian bug 502985.  (LP: #309827)
 
 -- Brian Murray <brian@ubuntu.com>  Wed, 15 Apr 2009 11:43:29 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt-cacher
 Section: net
 Priority: optional
-Maintainer: Mark Hindley <mark@hindley.org.uk>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mark Hindley <mark@hindley.org.uk>
 Uploaders: Eduard Bloch <blade@debian.org>, Jonathan Oxer <jon@debian.org>
 Build-Depends: debhelper (>> 4.0.0)
 Build-Depends-Indep: perl (>=5.6.0-16)

## apt-cacher 1.6.7ubuntu4

=== debian/changelog ===
apt-cacher (1.6.7ubuntu4) jaunty; urgency=low

  * Resolve POSIX syntax error in apt-cacher-lib.pl for Ubuntu distribution
    upgrades.  Thanks Mary Gardiner! (LP: #291606)
  * Add regular expression to apt-cacher-lib.pl to allow meta-release files
    to be cached thereby allowing update-manager to see new releases.  Ubuntu
    specific, see Debian bug 502985.  (LP: #309827)

 -- Brian Murray <brian@ubuntu.com>  Wed, 07 Jan 2009 19:48:22 -0800

apt-cacher (1.6.7ubuntu3) jaunty; urgency=low

  * Fix typo in apt-cacher2 (LP: 309858)

 -- Martin Mai <martinmai1024@web.de>  Sat, 03 Jan 2009 07:42:33 -0500

apt-cacher (1.6.7ubuntu2) jaunty; urgency=low

  * Allow ReleaseAnnouncement files to be cached, as they are used by
    update-manager -d and distribution upgrades will fail without 
    them (LP: #308230)

 -- Brian Murray <brian@ubuntu.com>  Mon, 15 Dec 2008 09:06:40 -0800

apt-cacher (1.6.7ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Allow e.g. intrepid.tar.gz.gpg files to be cached, as they are used by
      do-release-upgrade. Thanks to "shemgp" for the fix. (LP: #156070)
      - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502985

 -- James Westby <james.westby@canonical.com>  Fri, 07 Nov 2008 21:35:12 +0000

apt-cacher (1.6.7) unstable; urgency=low

  * libcurl: reduce select->can_read timeout to 0 to restore throughput
    (closes: #501747)
  * Document apt.conf config for apt-listbugs (closes: #500855)
  * Add transparent proxy support (closes: #352140)
  * Check return of sysread in getRequestLine. Prevents "400: No Request
    Received" errors (closes: #502480)
  * Keep and return index files if upstream temporarily unavailabe
    (closes: #478068)

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 28 Oct 2008 23:51:13 +0000

apt-cacher (1.6.6) unstable; urgency=low

  * Configurable file regexps (closes: #482949)
  * Handle missing libberkeleydb-perl gracefully (closes: #472822)
  * Ensure Content-Length headers are always returned.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 01 Oct 2008 13:14:25 +0100

apt-cacher (1.6.5) unstable; urgency=low

  * Fix off by one error in access log parser for report (closes: #492296)
  * Fix use of undefined value in HEAD request with vhost (closes: #495033)
  * Correct lsb header. Don't start in single user mode (closes: #488064)
  * Abandon %db tie in favour of direct BerkeleyDB control.
    (closes: #487789, #460020)
  * Use IO::Select to avoid multiple forks for listeners.
  * Use a separate libcurl process to fix DNS caching.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 06 Jul 2008 19:50:53 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Uploaders: Eduard Bloch <blade@debian.org>, Jonathan Oxer <jon@debian.org>
 Build-Depends: debhelper (>> 4.0.0)
 Build-Depends-Indep: perl (>=5.6.0-16)
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 
 Package: apt-cacher
 Architecture: all
-Depends: ${perl:Depends}, bzip2, libwww-curl-perl (>=3.12), libwww-perl, libdigest-sha1-perl, ed
+Depends: ${perl:Depends}, bzip2, libwww-curl-perl (>=4.00), libwww-perl, libdigest-sha1-perl, libfreezethaw-perl, ed
 Recommends: libberkeleydb-perl
 Suggests: libio-socket-inet6-perl
 Description: Caching proxy for Debian package and source files

## apt-cacher 1.6.8ubuntu1

=== debian/changelog ===
apt-cacher (1.6.8ubuntu1) karmic; urgency=low

  * Merge from debian unstable (LP: #378158), remaining changes:
    - apt-cacher-lib.pl:
      + Cache *.tar.gz.gpg (e.g. intrepid.tar.gz.gpg)
      + Cache ReleaseAnnouncement
      + Cache meta-release-*

 -- Michael Terry <michael.terry@canonical.com>  Tue, 02 Jun 2009 09:31:30 -0400

apt-cacher (1.6.8) unstable; urgency=low

  * Fix typo (closes: #510602)
  * Use KILL if TERM fails in init script (closes: #330234)
  * Get port from environment in CGI mode (closes: #510569)

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 16 Feb 2009 09:17:21 +0000

## apt-cacher 1.6.10ubuntu2

=== debian/changelog ===
apt-cacher (1.6.10ubuntu2) lucid; urgency=low

  * Support debug symbol packages, changelog and NEWS and files for update-manager (LP: #561902)

 -- TJ <ubuntu@tjworld.net>  Tue, 13 Apr 2010 00:45:00 +0100

apt-cacher (1.6.10ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes: (LP: #505665)
    - apt-cacher-lib.pl:
      + Cache *.tar.gz.gpg (e.g. jaunty.tar.gz.gpg)
      + Cache ReleaseAnnouncement
      + Cache meta-release-*

 -- Mathieu Trudel <mathieu-tl@ubuntu.com>  Sun, 10 Jan 2010 17:19:38 -0500

apt-cacher (1.6.10) unstable; urgency=low

  * Bug fix: selecting outgoing network interface in daemon mode. Make
    documentation and implementation consistent. Configuration item is
    interface, not use_interface. (closes: #555986)  
  * Allow .tar.bz2 source packages. (closes: #554870)
  * Don't allow libcurl process to loop and hog CPU. (closes: #533830)

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 28 Nov 2009 23:42:58 +0000

apt-cacher (1.6.9ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes: LP: #484026
    - apt-cacher-lib.pl:
      + Cache *.tar.gz.gpg (e.g. jaunty.tar.gz.gpg)
      + Cache ReleaseAnnouncement
      + Cache meta-release-*

 -- Bhavani Shankar <right2bhavi@gmail.com>  Tue, 17 Nov 2009 11:11:50 +0530

apt-cacher (1.6.9) unstable; urgency=low

  * Rescan cached files after checking for diff_Index parents (closes: #537189)
  * Fix initscript for dependency based boot sequencing. Patch from Petter
    Reinholdtsen <pere@hungry.com> (closes: #541378)
  * Fix handling of Keep-Alive and multiple hosts in path_map. Debugging
    by "Daniel Richard G." <skunk@iSKUNK.ORG> (closes: #517761, #516525)
  * Fix "400 No request Received" caused by incomplete input line. Patch
    from "Daniel Richard G." <skunk@iSKUNK.ORG> (closes: #540691)
  * Support libdb4.7 (closes: #519896)
  * Remove regular calls to libdb failchk (closes: #535093)
  * Don't hide cron errors. (closes: #509126)
  * Rate-limit units are bytes. Correct comment in configfile
    (closes: #527539)
  * Allow spaces in options on command line (closes: #535478)
  * Bug fix: "Client connection timeouts when upstream server does not
    support Keep-Alive", thanks to Daniel Richard G. for testing
    (closes: #542869)
  * Bug fix: "Checksumming leads to bzcat/bzip2 errors". Now use
    IO::Compress and IO::AnyUncompress rather than bzip2/gzip pipes
    (closes: #543760)
  * Ensure $cache_status is always initialised
  * Bump standards version to 3.8.3. No changes required.
  * Bump to debhelper compatibility 7
  * Add uncompressed Sources and Packages files to files that can be cached.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 22 Sep 2009 12:12:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: apt-cacher
 Section: net
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Mark Hindley <mark@hindley.org.uk>
 Uploaders: Eduard Bloch <blade@debian.org>, Jonathan Oxer <jon@debian.org>
-Build-Depends: debhelper (>> 4.0.0)
+Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: perl (>=5.6.0-16)
-Standards-Version: 3.8.0
+Standards-Version: 3.8.3
 
 Package: apt-cacher
 Architecture: all
-Depends: ${perl:Depends}, bzip2, libwww-curl-perl (>=4.00), libwww-perl, libdigest-sha1-perl, libfreezethaw-perl, ed
+Depends: ${perl:Depends}, ${misc:Depends}, libwww-curl-perl (>=4.00), libwww-perl, libdigest-sha1-perl, libfreezethaw-perl, ed, libio-compress-zlib-perl, libio-compress-bzip2-perl, libio-interface-perl
 Recommends: libberkeleydb-perl
 Suggests: libio-socket-inet6-perl
 Description: Caching proxy for Debian package and source files

## apt-cacher 1.6.12

=== debian/changelog ===
apt-cacher (1.6.12) unstable; urgency=low

  * Handle decompression errors properly (closes: #585804)
  * Debian installer now requires linux files. Make item configurable
    (closes: #588569)
  * Prevent multiple concurrent cleanups in case they are taking too long.
  * Prevent loop in apt-cacher-cleanup if user:group specified as root:root
  * Upgrade to Standards version 3.9.1 (no changes required)
  
 -- Mark Hindley <mark@hindley.org.uk>  Tue, 07 Sep 2010 09:42:00 +0100

apt-cacher (1.6.11) unstable; urgency=low

  * Upgrade to Standards version 3.8.4 (no changes required)
  * Add $remote_fs to LSB Required-Stop header. Silences lintian error.
  * Check for sufficient available filesystem space (closes: #509369, #510214)
  * Avoid leaving BerkeleyDB recovery logs on the filesystem where
    possible with libberkeleydb-perl >= 0.40

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 08 Mar 2010 10:08:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: apt-cacher
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mark Hindley <mark@hindley.org.uk>
+Maintainer: Mark Hindley <mark@hindley.org.uk>
 Uploaders: Eduard Bloch <blade@debian.org>, Jonathan Oxer <jon@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: perl (>=5.6.0-16)
-Standards-Version: 3.8.3
+Standards-Version: 3.9.1
 
 Package: apt-cacher
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, libwww-curl-perl (>=4.00), libwww-perl, libdigest-sha1-perl, libfreezethaw-perl, ed, libio-compress-zlib-perl, libio-compress-bzip2-perl, libio-interface-perl
+Depends: ${perl:Depends}, ${misc:Depends}, libwww-curl-perl (>=4.00), libwww-perl, libdigest-sha1-perl, libfreezethaw-perl, ed, libio-compress-zlib-perl, libio-compress-bzip2-perl, libio-interface-perl, libfilesys-diskspace-perl
 Recommends: libberkeleydb-perl
 Suggests: libio-socket-inet6-perl
 Description: Caching proxy for Debian package and source files

=== debian/rules ===
--- 
+++ 
@@ -55,7 +55,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs usr/sbin
 
 	install -m644 apt-cacher.conf debian/apt-cacher/etc/apt-cacher/apt-cacher.conf

## apt-cacher 1.6.12ubuntu1

=== debian/changelog ===
apt-cacher (1.6.12ubuntu1) maverick; urgency=low

  * Merge from debian unstable. Remaining changes:
    - apt-cacher-lib.pl:
      + Cache *.tar.gz.gpg (e.g. jaunty.tar.gz.gpg)
      + Cache ReleaseAnnouncement
      + Cache meta-release-*
    - Support debug symbol packages, changelog and NEWS and files for
      update-manager.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Tue, 14 Sep 2010 21:42:35 +0300

apt-cacher (1.6.11ubuntu1) maverick; urgency=low

  * Merge from debian unstable (LP: #595450). Remaining changes:
    - apt-cacher-lib.pl:
      + Cache *.tar.gz.gpg (e.g. jaunty.tar.gz.gpg)
      + Cache ReleaseAnnouncement
      + Cache meta-release-*
    - Support debug symbol packages, changelog and NEWS and files for
      update-manager

 -- Bilal Akhtar <bilalakhtar96@yahoo.com>  Sat, 19 Jun 2010 14:23:30 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt-cacher
 Section: net
 Priority: optional
-Maintainer: Mark Hindley <mark@hindley.org.uk>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mark Hindley <mark@hindley.org.uk>
 Uploaders: Eduard Bloch <blade@debian.org>, Jonathan Oxer <jon@debian.org>
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: perl (>=5.6.0-16)
